## pcp 3.11.7build1

=== debian/changelog ===
pcp (3.11.7build1) zesty; urgency=medium

  * No-change rebuild against libnspr4

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 24 Feb 2017 11:13:50 +0000

pcp (3.11.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Dec 2016 12:00:00 +1100

pcp (3.11.6) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 11 Nov 2016 08:22:25 +1100

pcp (3.11.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix uninstallable s390x papi dependency (closes: #836842)

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Sep 2016 14:21:21 +1000

pcp (3.11.4) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Aug 2016 12:00:00 +1000

pcp (3.11.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 17 Jun 2016 13:03:43 +1000

pcp (3.11.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 Apr 2016 08:11:42 +1100

pcp (3.11.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Mar 2016 08:11:42 +1100

pcp (3.11.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 Jan 2016 12:00:00 +1100

pcp (3.10.9) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Dec 2015 08:50:33 +1100
