=== debian/control ===
--- 
+++ 
@@ -43,7 +43,8 @@
 Package: libpcp3-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
-Breaks: pcp (<< 3.8.0)
+Breaks: pcp (<< 3.8.0), libpcp-gui2-dev (<< 3.11.10~)
+Replaces: libpcp-gui2-dev (<< 3.11.10~)
 Architecture: any
 Description: Performance Co-Pilot library and headers
  The libpcp-dev package contains the base Performance Co-Pilot (PCP)
@@ -129,7 +130,8 @@
 Package: libpcp-pmda3-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
-Breaks: pcp (<< 2.8.0)
+Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 3.11.10~)
+Replaces: libpcp3-dev (<< 3.11.10~)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
  The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
@@ -265,9 +267,3 @@
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
- client applications to easily retrieve and process any subset of
- that data.
-
-Package: libpcp-pmda-perl
-Section: perl
-Architecture: any
