## pcp 4.0.1

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Homepage: http://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
-Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python3-all, python-all-dev, python3-all-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev, libavahi-common-dev, libqt4-dev, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, libdbd-pg-perl, dh-python, libcairo2-dev, libpapi-dev [!s390x], libpfm4-dev, libncurses5-dev, python-six, python-json-pointer, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, qt4-qmake, libnss3-tools, manpages
+Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Eric Desrochers <eric.desrochers@canonical.com>, Ken McDonell <kenj@kenj.id.au>
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python3-all, python-dev, python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, libdbd-pg-perl, dh-python, libcairo2-dev, libpapi-dev [!s390x], libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools,   manpages
 #Architecture-dependent -- Build-Depends: libibumad-dev, libibmad-dev
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python3-pcp | python-pcp, python3 | python, libpcp-web1
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python3-pcp, python3, libpcp-web1
 Conflicts: pgpool2
 Suggests: pcp-gui, libpcp-import-perl
 Architecture: any
@@ -27,7 +27,7 @@
 
 Package: pcp-conf
 Depends: ${misc:Depends}
-Breaks: libpcp3 (<< 3.9.0)
+Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot runtime configuration
@@ -242,29 +242,30 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: python-pcp
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpcp3 (= ${binary:Version}), libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-gui2 (= ${binary:Version}), libpcp-import1 (= ${binary:Version})
-Description: Performance Co-Pilot Python PMAPI module
- The PCP Python module contains the language bindings for
- building Performance Metric API client tools using Python.
- .
- The Performance Co-Pilot provides a unifying abstraction for
- all of the interesting performance data in a system, and allows
- client applications to easily retrieve and process any subset of
- that data.
-
-Package: python3-pcp
-Section: python
-Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpcp3 (= ${binary:Version}), libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-gui2 (= ${binary:Version}), libpcp-import1 (= ${binary:Version})
-Description: Performance Co-Pilot Python3 PMAPI module
- The PCP Python3 module contains the language bindings for
- building Performance Metric API client tools using Python3.
- .
- The Performance Co-Pilot provides a unifying abstraction for
- all of the interesting performance data in a system, and allows
- client applications to easily retrieve and process any subset of
- that data.
-
+Package: libpcp-pmda-perl
+Section: perl
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3 (= ${binary:Version})
+Description: Performance Co-Pilot Domain Agent Perl module
+ The PCP::PMDA Perl module contains the language bindings for
+ building Performance Metric Domain Agents (PMDAs) using Perl.
+ Each PMDA exports performance data for one specific domain, for
+ example the operating system kernel, Cisco routers, a database,
+ an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-import-perl
+Section: perl
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
+Description: Performance Co-Pilot log import Perl module
+ The PCP::LogImport Perl module contains the language bindings for
+ building Perl applications that import performance data from a file
+ or real-time source and create a Performance Co-Pilot (PCP) archive
+ suitable for use with the PCP tools.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
