## pcp 4.1.2

=== debian/changelog ===
pcp (4.1.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 14 Sep 2018 10:01:11 +1000

pcp (4.1.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 03 Aug 2018 10:01:11 +1000

pcp (4.1.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 15 Jun 2018 11:20:17 +1000

pcp (4.0.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 11 May 2018 09:32:45 +1100

pcp (4.0.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 29 Mar 2018 10:11:12 +1100

pcp (4.0.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove postinst insecure tmpfile handling (closes: #771793)
  * Remove py2 or py3 alt build dependencies (closes: #882977)
  * Fix sigsegv in pcp-atop with no devices (closes: #881822)
  * Fix FTBFS building arch-indep packages (closes: #805955)
  * Remove bashism from the pcp-testsuite (closes: #772352)
  * Build for the system python3 package (closes: #866700)
  * Ship import.h in libpcp-import1-dev (closes: #781047)
  * Fix broken devel man page symlinks (closes: #857406)
  * Fix up Qt5 build dependency issue (closes: #882969)
  * Remove dbus-launch use from pcp-testsuite (closes: #836285)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Feb 2018 08:05:37 +1100

pcp (3.12.2-2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Default to building with Qt5 (closes: #875093)
  * Add missing Qt5 svg dependency (closes: #881649)
  * Switch from native to quilt form (closes: #881650)

 -- Nathan Scott <nathans@debian.org>  Thu, 23 Nov 2017 10:48:29 +1100

pcp (3.12.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Default to building with Qt5 (closes: #875093)

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Oct 2017 10:59:12 +1100
