## pcp 4.3.2%2Breally4.3.1

=== debian/changelog ===
pcp (4.3.2+really4.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Revert to previous upstream release 4.3.1 in order to rebuild against
    libpapi5.7 for buster.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Jun 2019 14:15:47 +0200

pcp (4.3.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Feb 2019 09:12:54 +1100

pcp (4.3.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 21 Dec 2018 13:33:21 +1100

pcp (4.2.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Nov 2018 05:12:53 +1000

pcp (4.1.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 21 Sep 2018 11:36:36 +1000
