=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
 
 Package: pcp
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python3-pcp, python3,  libpcp-web1
-Conflicts: pgpool2
+Conflicts: pgpool2, dstat
 Suggests: pcp-gui, libpcp-import-perl
+Provides: dstat
+Replaces: dstat
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
