## pcp 4.3.4

=== debian/changelog ===
pcp (4.3.4-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:06:22 +0000

pcp (4.3.4-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Aug 2019 08:17:54 +1000

pcp (4.3.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 28 Jun 2019 13:27:17 +1000

pcp (4.3.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove anibal from uploaders, MIA team request (closes: #925090)

 -- Nathan Scott <nathans@debian.org>  Fri, 26 Apr 2019 09:35:59 +1000
